Sites & Organisation

Meta

These endpoints provide metadata about the Trybe platform

get/meta/supported-locales

Get supported locales

listMetaSupportedLocales

This endpoint lists the locales which are supported by the platform.

A shopfront visitor may select a locale from this list to change the language of the shopfront, and one of these locales may be stored against a Customer or Site's preferred_locale.

Responses

  • 200

    A list of the platform's supported locales

  • 401

    The user is unauthenticated

get/meta/supported-currencies

Get supported currencies

listMetaSupportedCurrencies

This endpoint lists the currencies which are supported by the platform.

A Site may sell offerings to customers in one of the currencies listed here.

Responses

  • 200

    A list of the platform's supported currencies

  • 401

    The user is unauthenticated

get/meta/supported-timezones

Get supported timezones

listMetaSupportedTimezones

This endpoint lists the timezones which are supported by the platform.

A Site may sell offerings to customers in one of the timezones listed here.

Responses

  • 200

    A list of the platform's supported timezones

  • 401

    The user is unauthenticated

get/meta/outbound-ips

Get outbound IPs

listOutboundIps

This endpoint lists the outbound IP addresses used by the platform for the current environment.

Responses

  • 200

    A list of the platform's outbound IP addresses for the current environment

  • 401

    The user is unauthenticated

get/shop/queued-jobs/{queuedJobId}

Get a queued job

getQueuedJob

Returns the status and output of a Trybe-internal background job that was previously kicked off via a queue-issuing endpoint (e.g. queueExport, queueImportVouchers, the practitioner-occupancy queue endpoints, voucher-code bulk creation).

Poll this endpoint to watch a job progress from pendingin_progresscomplete/failed. Once status is complete, output contains the per-job result envelope (a list of created records, a signed download URL, error rows, etc., depending on the job).

Requires the view ability on the QueuedJob — typically granted to the user who originally enqueued the job.

Path parameters

  • queuedJobIdobject-idrequired

    The unique identifier of the queued job.

Responses

  • 200

    The job was successfully queued

  • 401

    The user is unauthenticated

  • 403

    The authenticated user does not have permission.

  • 404

    The resource couldn't be found